Package org.flowable.bpmn.model

# Class BaseElement

java.lang.Object
org.flowable.bpmn.model.BaseElement

All Implemented Interfaces:
  `HasExtensionAttributes`

Direct Known Subclasses:
  `AbstractFlowableHttpHandler`, `Artifact`, `Assignment`, `CollectionHandler`, `CustomProperty`, `DataAssociation`, `DataGridField`, `DataSpec`, `DataStore`, `Escalation`, `EventDefinition`, `EventListener`, `ExtensionElement`, `FieldExtension`, `FlowableListener`, `FlowElement`, `FormProperty`, `FormValue`, `Import`, `Interface`, `IOParameter`, `IOSpecification`, `ItemDefinition`, `Lane`, `Message`, `MessageFlow`, `MultiInstanceLoopCharacteristics`, `Operation`, `Pool`, `Process`, `Resource`, `ScriptInfo`, `Signal`

public abstract class BaseElement extends Object implements HasExtensionAttributes

Author:
  Tijs Rademakers

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Map<String,List<ExtensionAttribute>>`
  `attributes`
  extension attributes could be part of each element
  `protected Map<String,List<ExtensionElement>>`
  `extensionElements`
  `protected String`
  `id`
  `protected int`
  `xmlColumnNumber`
  `protected int`
  `xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BaseElement()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addAttribute(ExtensionAttribute attribute)`
  add attribute to the object
  `void`
  `addExtensionElement(ExtensionElement extensionElement)`
  `abstract BaseElement`
  `clone()`
  `Map<String,List<ExtensionAttribute>>`
  `getAttributes()`
  get element's attributes
  `String`
  `getAttributeValue(String namespace, String name)`
  return value of the attribute from given namespace with given name.
  `Map<String,List<ExtensionElement>>`
  `getExtensionElements()`
  `String`
  `getId()`
  `int`
  `getXmlColumnNumber()`
  `int`
  `getXmlRowNumber()`
  `void`
  `setAttributes(Map<String,List<ExtensionAttribute>> attributes)`
  set all object's attributes
  `void`
  `setExtensionElements(Map<String,List<ExtensionElement>> extensionElements)`
  `void`
  `setId(String id)`
  `void`
  `setValues(BaseElement otherElement)`
  `void`
  `setXmlColumnNumber(int xmlColumnNumber)`
  `void`
  `setXmlRowNumber(int xmlRowNumber)`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### id

    protected String id

  - ### xmlRowNumber

    protected int xmlRowNumber

  - ### xmlColumnNumber

    protected int xmlColumnNumber

  - ### extensionElements

    protected Map<String,List<ExtensionElement>> extensionElements

  - ### attributes

    protected Map<String,List<ExtensionAttribute>> attributes
    extension attributes could be part of each element

- ## Constructor Details

  - ### BaseElement

    public BaseElement()

- ## Method Details

  - ### getId

    public String getId()

  - ### setId

    public void setId(String id)

  - ### getXmlRowNumber

    public int getXmlRowNumber()

  - ### setXmlRowNumber

    public void setXmlRowNumber(int xmlRowNumber)

  - ### getXmlColumnNumber

    public int getXmlColumnNumber()

  - ### setXmlColumnNumber

    public void setXmlColumnNumber(int xmlColumnNumber)

  - ### getExtensionElements

    public Map<String,List<ExtensionElement>> getExtensionElements()

  - ### addExtensionElement

    public void addExtensionElement(ExtensionElement extensionElement)

  - ### setExtensionElements

    public void setExtensionElements(Map<String,List<ExtensionElement>> extensionElements)

  - ### getAttributes

    public Map<String,List<ExtensionAttribute>> getAttributes()
    Description copied from interface: `HasExtensionAttributes`
    get element's attributes
    Specified by:
      `getAttributes` in interface `HasExtensionAttributes`

  - ### getAttributeValue

    public String getAttributeValue(String namespace, String name)
    Description copied from interface: `HasExtensionAttributes`
    return value of the attribute from given namespace with given name.
    Specified by:
      `getAttributeValue` in interface `HasExtensionAttributes`
    Parameters:
      `namespace` -
      `name` -
    Returns:
      attribute value or null in case when attribute was not found

  - ### addAttribute

    public void addAttribute(ExtensionAttribute attribute)
    Description copied from interface: `HasExtensionAttributes`
    add attribute to the object
    Specified by:
      `addAttribute` in interface `HasExtensionAttributes`

  - ### setAttributes

    public void setAttributes(Map<String,List<ExtensionAttribute>> attributes)
    Description copied from interface: `HasExtensionAttributes`
    set all object's attributes
    Specified by:
      `setAttributes` in interface `HasExtensionAttributes`

  - ### setValues

    public void setValues(BaseElement otherElement)

  - ### clone

    public abstract BaseElement clone()
    Overrides:
      `clone` in class `Object`